package com.bankaudit.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="maint_grading_param_composite_rating_dtls")
public class MaintGradingParamCompositeRatingDtls implements Serializable {
  
	private static final long serialVersionUID = -1447660951064120149L;
 	
	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	
	@Id
	@Column(name="audit_type_code")
	private String auditTypeCode;
	 
	@Id
	@Column(name="sl_no")
	private Integer slNo;
 
	@Id
	@Column(name="disp_seq_no")
	private String dispSeqNo;	
	 	
	@Column(name="param_name")
	private String paramName;	
	
	@Column(name="display_value_key_RO")
	private String 	displayValueKeyRO;
	
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	public Integer getSlNo() {
		return slNo;
	}

	public void setSlNo(Integer slNo) {
		this.slNo = slNo;
	}

	public String getDispSeqNo() {
		return dispSeqNo;
	}

	public void setDispSeqNo(String dispSeqNo) {
		this.dispSeqNo = dispSeqNo;
	}

	public String getParamName() {
		return paramName;
	}

	public void setParamName(String paramName) {
		this.paramName = paramName;
	}

	public String getDisplayValueKeyRO() {
		return displayValueKeyRO;
	}

	public void setDisplayValueKeyRO(String displayValueKeyRO) {
		this.displayValueKeyRO = displayValueKeyRO;
	}
}
